## NAME

r.fillnulls - Fills NULL (no data areas) in input map and stores filled map to a new output map. The fill data are interpolated from the no data area boundaries using s.surf.rst spline interpolation.
(GRASS Shell Script)

## SYNOPSIS

r.fillnulls

r.fillnulls input=name output=name

## OPTIONS

### Parameters:

input=name
  raster map containing NULL data area(s)/pixel(s)
output=name
  raster map with NULL areas filled by RST interpolation

## NOTES

During the interpolation following warning may occur:

`Warning: strip exists with insufficient data
Warning: taking too long to find points for interpolation--please change the region to area where your points are`

This warning is generated if large data holes exist within the surface. As the idea of r.fillnulls is to fill such holes, the user may ignore the warning. The interpolation will be continued. However, the user may pay attention to below notes.

## ATTENTION

The algorithm is based on s.surf.rst regularized splines with tension interpolation module which interpolates the raster cell values for NULL data areas from the boundary values of the NULL data area. An eventual raster MASK is respected during the NULL data area(s) filling. The interpolated values are patched into the NULL data area(s) of the input map and saved into a new raster map.

## WARNING

Depending on the shape of the NULL data area(s) problems may occur due to an insufficient number of input cell values for the interpolation process. Most problems will occur if a NULL data area reaches a large amount of the map boundary. The user will have to carefully check the result using r.mapcalc (generating a difference map to the input map) and/or d.what.rast to query individual cell values.

## SEE ALSO

r.fill.dir, s.surf.rst

Mitas, L., Mitasova, H., 1999, Spatial Interpolation. In: P.Longley, M.F. Goodchild, D.J. Maguire, D.W.Rhind (Eds.), Geographical Information Systems: Principles, Techniques, Management and Applications, Wiley, pp.481-492

Mitasova H., Mitas L., Brown W.M., D.P. Gerdes, I. Kosinovsky, Baker, T.1995, Modeling spatially and temporally distributed phenomena: New methods and tools for GRASS GIS. International Journal of GIS, 9 (4), special issue on Integrating GIS and Environmental modeling, 433-446.

Mitasova H. and Mitas L. 1993: Interpolation by Regularized Spline with Tension: I. Theory and Implementation, Mathematical Geology 25, 641-655.

Mitasova H. and Hofierka L. 1993: Interpolation by Regularized Spline with Tension: II. Application to Terrain Modeling and Surface Geometry Analysis, Mathematical Geology 25, 657-667.

## AUTHORS

r.fillnulls: Markus Neteler, University of Hannover

and authors of s.surf.rst

Last changed: $Date: 2003/02/05 12:46:03 $